Update service request
https://api.propexo.com/v1/service-requests/:service_request_idUpdate a service request for an integration.
Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Path parameters
The Propexo unique identifier for the service request
Request
This endpoint expects an object.
- string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$
The Propexo unique identifier for the service request category
The Propexo unique identifier for the service request priority
The Propexo unique identifier for the service request location
The Propexo unique identifier for the service request problem
A description of the service request
Possible values: <= 35 characters
Primary phone number associated with the service request
Secondary phone number associated with the service request
The primary email address associated with the service request
The scheduled start date associated with the request.
The due date associated with the service request
The Propexo unique identifier for the resident
Details about the service request
The date the service request was created
The raw status associated with the service request
Show 17 enum values
AssessmentCallCanceledCompletedElectricalEmergencyHVACIn ProgressInspectionOn HoldOtherPlumbingRequest ReassignmentScheduledServiceWebWork CompletedWhether or not the tenant has granted permission to enter the unit associated with the service request
The priority level associated with the service request
Show 5 enum values
HighLowMed24 hoursEmergencyWhether there are pets associated with the unit
Whether there is an alarm associated with the unit
Closing notes associated with the service request
The date of entry for the service request
Show 2 variants
The date the service request is scheduled
The Propexo unique identifier for the unit
The Propexo unique identifier for the vendor
The Propexo unique identifier for the lease
The category of service request
Show 5 enum values
ElectricalHVACOtherPlumbingServiceThe date the service request was completed
The due date associated with the service request
The Propexo unique identifier for the service request status
The Propexo unique identifier for the employee
The name of the person who reported this service request
Response
Successful response
The ID of the job created to handle this operation
data objectrequired
Errors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl -X PUT https://api.propexo.com/v1/service-requests/:service_request_id \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"service_request_category_id": "string",
"service_request_priority_id": "string",
"service_request_location_id": "string",
"service_request_problem_id": "string",
"service_description": "string",
"phone_1": "string",
"phone_2": "string",
"email_1": "string",
"scheduled_start_date": "2024-07-29T15:51:28.071Z",
"due_date": "2024-07-29T15:51:28.071Z",
"resident_id": "string",
"service_details": "string",
"date_created": "2024-07-29T15:51:28.071Z",
"status_raw": "Assessment",
"access_is_authorized": true,
"service_priority": "High",
"has_pets": true,
"has_alarm": true,
"completion_notes": "string",
"date_entered": "2024-07-29T15:51:28.071Z",
"date_scheduled": "2024-07-29T15:51:28.071Z",
"unit_id": "string",
"vendor_id": "string",
"lease_id": "string",
"service_category": "Electrical",
"date_completed": "2024-07-29T15:51:28.071Z",
"date_due": "2024-07-29T15:51:28.071Z",
"service_request_status_id": "string",
"employee_id": "string",
"reported_by": "string"
}'
{
"job_id": "string",
"data": {}
}